## r-cran-furrr 0.1.0

=== DESCRIPTION ===
Package: furrr
Version: 0.1.0
Title: Apply Mapping Functions in Parallel using Futures
Depends: R (>= 3.2.0), future (>= 1.6.2)
Imports: globals (>= 0.10.3), rlang (>= 0.2.0), purrr (>= 0.2.4)
Suggests: listenv (>= 0.6.0), dplyr (>= 0.7.4), testthat
Authors@R: c(
    person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut", "cre")),
    person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut"))
  )
Maintainer: Davis Vaughan <dvaughan@business-science.io>
Description: Implementations of the family of map() functions from 'purrr' that can be resolved using any 'future'-supported backend, e.g. parallel on the local machine or distributed on a compute cluster.
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/DavisVaughan/furrr
BugReports: https://github.com/DavisVaughan/furrr/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-05-14 19:53:18 UTC; davisvaughan
Author: Davis Vaughan [aut, cre],
  Matt Dancho [aut]
Repository: CRAN
Date/Publication: 2018-05-16 16:04:29 UTC

=== debian/changelog ===
r-cran-furrr (0.1.0-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:22:08 +0000

r-cran-furrr (0.1.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 15:44:46 +0200

r-cran-furrr (0.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 12:02:55 +0100

r-cran-furrr (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #940552)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 10:52:30 +0200

=== debian/control ===
Source: r-cran-furrr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-future (>= 1.6.2),
               r-cran-globals (>= 0.10.3),
               r-cran-rlang,
               r-cran-purrr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-furrr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-furrr.git
Homepage: https://cran.r-project.org/package=furrr
Rules-Requires-Root: no

Package: r-cran-furrr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R apply mapping functions in parallel using futures
 Implementations of the family of map() functions from 'purrr' that can
 be resolved using any 'future'-supported backend, e.g. parallel on the
 local machine or distributed on a compute cluster.

## r-cran-furrr 0.2.2

=== debian/changelog ===
r-cran-furrr (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2021 14:33:04 +0100

r-cran-furrr (0.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 11:24:39 +0100

r-cran-furrr (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 15 Oct 2020 16:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.6.2),
-               r-cran-globals (>= 0.10.3),
+               r-cran-future (>= 1.19.1),
+               r-cran-ellipsis,
+               r-cran-globals (>= 0.13.1),
+               r-cran-lifecycle,
+               r-cran-purrr,
                r-cran-rlang,
-               r-cran-purrr
-Standards-Version: 4.5.0
+               r-cran-vctrs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-furrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-furrr.git
 Homepage: https://cran.r-project.org/package=furrr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/furrr_([-\d.]*)\.tar\.gz

## r-cran-furrr 0.2.3

=== DESCRIPTION ===
Package: furrr
Title: Apply Mapping Functions in Parallel using Futures
Version: 0.2.3
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "Matt",
             family = "Dancho",
             role = "aut",
             email = "mdancho@business-science.io"),
      person(given = "RStudio",
             role = "cph"))
Description: Implementations of the family of map() functions
    from 'purrr' that can be resolved using any 'future'-supported
    backend, e.g. parallel on the local machine or distributed on a
    compute cluster.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/furrr
BugReports: https://github.com/DavisVaughan/furrr/issues
Depends: future (>= 1.19.1), R (>= 3.2.0)
Imports: ellipsis, globals (>= 0.13.1), lifecycle (>= 1.0.0), purrr (>=
        0.3.0), rlang (>= 0.3.0), vctrs (>= 0.3.2)
Suggests: carrier, covr, dplyr (>= 0.7.4), knitr, listenv (>= 0.6.0),
        magrittr, rmarkdown, testthat (>= 3.0.0), withr, tidyselect
Encoding: UTF-8
RoxygenNote: 7.1.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-06-25 17:13:40 UTC; davis
Author: Davis Vaughan [aut, cre],
  Matt Dancho [aut],
  RStudio [cph]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2021-06-25 17:50:02 UTC

=== debian/changelog ===
r-cran-furrr (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 07:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                r-cran-future (>= 1.19.1),
                r-cran-ellipsis,
                r-cran-globals (>= 0.13.1),
-               r-cran-lifecycle,
+               r-cran-lifecycle (>= 1.0.0),
                r-cran-purrr,
                r-cran-rlang,
                r-cran-vctrs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-furrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-furrr.git
 Homepage: https://cran.r-project.org/package=furrr

## r-cran-furrr 0.3.1

=== DESCRIPTION ===
Package: furrr
Title: Apply Mapping Functions in Parallel using Futures
Version: 0.3.1
Authors@R: c(
    person("Davis", "Vaughan", , "davis@rstudio.com", role = c("aut", "cre")),
    person("Matt", "Dancho", , "mdancho@business-science.io", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Implementations of the family of map() functions from 'purrr'
    that can be resolved using any 'future'-supported backend, e.g.
    parallel on the local machine or distributed on a compute cluster.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/furrr,
        https://furrr.futureverse.org/
BugReports: https://github.com/DavisVaughan/furrr/issues
Depends: future (>= 1.25.0), R (>= 3.4.0)
Imports: globals (>= 0.14.0), lifecycle (>= 1.0.1), purrr (>= 0.3.4),
        rlang (>= 1.0.2), vctrs (>= 0.4.1)
Suggests: carrier, covr, dplyr (>= 0.7.4), knitr, listenv (>= 0.6.0),
        magrittr, rmarkdown, testthat (>= 3.0.0), tidyselect, withr
Config/Needs/website: progressr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-08-15 19:00:06 UTC; davis
Author: Davis Vaughan [aut, cre],
  Matt Dancho [aut],
  RStudio [cph, fnd]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2022-08-15 19:40:02 UTC

=== debian/changelog ===
r-cran-furrr (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.1

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:25:00 +0530

r-cran-furrr (0.3.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 11:31:13 +0200

=== debian/control ===
Source: r-cran-furrr
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-furrr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-furrr.git
Homepage: https://cran.r-project.org/package=furrr
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-future (>= 1.25.0),
               r-cran-globals (>= 0.14.0),
               r-cran-lifecycle (>= 1.0.1),
               r-cran-purrr (>= 0.3.4),
               r-cran-rlang (>= 1.0.2),
               r-cran-vctrs (>= 0.4.1)
Testsuite: autopkgtest-pkg-r

Package: r-cran-furrr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R apply mapping functions in parallel using futures
 Implementations of the family of map() functions from 'purrr' that can
 be resolved using any 'future'-supported backend, e.g. parallel on the
 local machine or distributed on a compute cluster.
